# Class FunctionMapperImpl

java.lang.Object
jakarta.el.FunctionMapper
org.apache.jasper.el.FunctionMapperImpl

@Deprecated public final class FunctionMapperImpl extends FunctionMapper
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`FunctionMapperImpl(FunctionMapper fnMapper)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Method`
`resolveFunction(String prefix, String localName)`
Deprecated.
Resolves a function reference to its corresponding static `Method`.

### Methods inherited from class FunctionMapper

`mapFunction`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FunctionMapperImpl

public FunctionMapperImpl(FunctionMapper fnMapper)
Deprecated.

## Method Details

### resolveFunction

public Method resolveFunction(String prefix, String localName)
Deprecated.
Description copied from class: `jakarta.el.FunctionMapper`
Resolves a function reference to its corresponding static `Method`.

Specified by:
  `resolveFunction` in class `FunctionMapper`
Parameters:
  `prefix` - the namespace prefix of the function
  `localName` - the local name of the function
Returns:
  the `Method` object for the resolved function, or `null` if not found